GNU Radio's TEST Package

Classes | Namespaces | Macros
readerwriterqueue.h File Reference
`#include "atomicops.h"`
`#include <type_traits>`
`#include <utility>`
`#include <cassert>`
`#include <stdexcept>`
`#include <cstdint>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes
class | moodycamel::ReaderWriterQueue< T, MAX_BLOCK_SIZE >
class | moodycamel::BlockingReaderWriterQueue< T, MAX_BLOCK_SIZE >

## Namespaces
namespace | moodycamel

## Macros
#define | CACHE_LINE_SIZE 64

## Macro Definition Documentation

## ◆ CACHE_LINE_SIZE

#define CACHE_LINE_SIZE 64